#sectiondetail {
  display: flex;
  flex-direction: column;
  text-align: center;
  width: 90%;
  max-width: 50%;
  margin: auto;
  margin-top: 1em;
  background-color: white;
}

.fade-up {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.fade-up.show {
  opacity: 1;
  transform: translateY(0);
}

/* Fade-in from left */
.fade-left {
  opacity: 0;
  transform: translateX(-20px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.fade-left.show {
  opacity: 1;
  transform: translateX(0);
}

/* Fade-in from right */
.fade-right {
  opacity: 0;
  transform: translateX(20px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.fade-right.show {
  opacity: 1;
  transform: translateX(0);
}

article {
  background: #fffded;
}

.heading {
  margin-bottom: 0.5rem;
  font-weight: bold;
  font-size: 3rem;
  color: #333333;
}

.para {
  color: #666666;
  font-size: 2rem;
  line-height: 1.5em;
  margin-bottom: 1.1em;
  text-align: left;
  font-weight: 400;
  text-transform: capitalize;
}

.para2 {
  font-size: 2rem;
  line-height: 1.5em;
  margin-bottom: 1.1em;
  text-align: left;
  font-weight: 400;
  text-transform: capitalize;
}

/* contact detal and map */

.subheading {
  text-align: left;
  font-size: 25px;
}

.contactform {
  display: grid;
  gap: 3em;
  margin-top: 3em;
}

.form {
  width: 90%;
}

.input {
  width: 100%;
  max-width: 700px;
  border: none;
  font-size: 1.2em;
  padding: 1em;
  outline: none;
  margin-bottom: 1em;
  background-color: #f3f1f7;
  color: #141618;
  border-radius: 10px;
  font-weight: 700;
  border: 2px solid #343434;
}

.input:focus {
  border: 2px solid #1f7ce6;
}

.input::placeholder {
  text-transform: capitalize;
}

.submit {
  background-color: rgb(110, 110, 233);
  border: none;
  color: #fff;
  font-weight: bold;
  cursor: pointer;
  width: 100%;
}

/* **********************map****************************** */

.mapcontainer {
  position: relative;
  width: 100%;
  height: 500px;
}

.mapp {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 5px;
  overflow: hidden;
  border: 1px solid #e99a9a;
}

.mapp iframe {
  width: 100%;
  height: 100%;
}

.texts {
  background: none;
}

.contactMethod {
  display: flex;
  flex-direction: column;
  margin-top: 2em;
  text-align: left;
  border-bottom: 1px solid #afaaaa;
  padding: 50px 30px;
  background: #f3e6ea;
  color: #65434e;
}

.method {
  display: flex;
  text-align: center;
  justify-content: center;
  align-items: center;
  margin: 0 5px;
}

.contacticon {
  font-size: 3rem;
  color: rgb(126, 126, 223);
  width: 50px;
}

/* **********************map****************************** */

/* **********************Media query****************************** */

@media (max-width: 1194px) {
  .contacticon {
    font-size: 1.7rem;
  }

  .subheading {
    font-size: 2rem;
  }

  .para2 {
    font-size: 1.7rem;
  }
}

@media (max-width: 722px) {
  .contacticon {
    font-size: 1.7rem;
  }

  .subheading {
    font-size: 1.7rem;
  }

  .para2 {
    font-size: 1.4rem;
  }
}

@media (max-width: 655px) {
  .method {
    display: flex;
    align-items: left;
    justify-content: start;
  }
}

@media screen and (min-width: 600px) {
  #sectiondetail {
    max-width: 1100px;
  }

  .contactform {
    grid-template-columns: 1fr 1fr;
  }

  .contactMethod {
    flex-direction: row;
    justify-content: space-between;
  }
}

@media screen and (max-width: 600px) {
  #sectiondetail {
    max-width: 100%;
  }

  .contactform {
    grid-template-columns: 1fr;
  }

  .contactMethod {
    flex-direction: row;
    justify-content: space-between;
  }
}

@media screen and (max-width: 800px) {
  #sectiondetail {
    max-width: 100%;
  }

  .contactform {
    grid-template-columns: 1fr;
  }

  .contactMethod {
    flex-direction: row;
    justify-content: space-between;
  }
}

@media screen and (max-width: 655px) {
  #sectiondetail {
    max-width: 100%;
  }

  .contactform {
    grid-template-columns: 1fr;
  }

  .contactMethod {
    display: flex;
    flex-direction: column;
    margin-top: 2em;
    text-align: left;
  }
}

@media (max-width: 500px) {
  .para {
    font-size: 15px;
  }

  .mapp {
    width: 100%;
  }
}
